package com.example.zxweb.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description kafka返回数据
 * @Author ZhouWenTao
 * @Date 2023/9/5 14:19
 */
@Data
@ApiModel(value="Kafka返回对象", description="Kafka返回对象")
public class KafkaConsumerDTO<T> {
    private static final long serialVersionUID = 1L;

    /**
     * 设备序列号
     */
    @ApiModelProperty(value = "设备序列号")
    private String aeid = "";
    /**
     * 设备创建者
     */
    @ApiModelProperty(value = "设备创建者")
    private String creator;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private String createtime;

    /**
     * 事件类型
     */
    @ApiModelProperty(value = "事件类型")
    private String eventtype;

    /**
     * 设备类型编号
     */
    @ApiModelProperty(value = "设备类型编号")
    private String modelno;

    /**
     * 事件名
     */
    @ApiModelProperty(value = "事件名")
    private String eventname;

    /**
     * 是否是重要的设备
     */
    @ApiModelProperty(value = "是否是重要的设备")
    private String isvip;

    /**
     * 返回数据对象 data
     */
    @ApiModelProperty(value = "返回数据对象")
    private T content;
}
