package com.example.zxweb.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description 空气质量传感器
 * @Author ZhouWenTao
 * @Date 2023/9/5 17:01
 */
@Data
@ApiModel(value="空气质量传感器返回对象", description="空气质量传感器返回对象")
public class KongQiZhiLiangChuanGanQiDTO implements Serializable {
    @ApiModelProperty(value = "灯控设备id")
    private String devid;
    @ApiModelProperty(value = "Zigbee信号强度")
    private String device_lqi;
    @ApiModelProperty(value = "光照度")
    private String lux;
    @ApiModelProperty(value = "湿度(除以100为  %rh)")
    private String humidity;
    @ApiModelProperty(value = "温度(除以100为 ℃，如3350除以100为33.5℃。)")
    private String temperature;
    @ApiModelProperty(value = "PM2.5浓度(1ug/m³)")
    private String pm25;
    @ApiModelProperty(value = "二氧化碳浓度(ppm)")
    private String co2;
    @ApiModelProperty(value = "甲醛浓度(10ug/m³)")
    private String ch2o;
    @ApiModelProperty(value = "空气中挥发的有机化合物含量(10ug/m³)")
    private String voc;
    @ApiModelProperty(value = "电压(电池电压值， 100mV为单位。 上报30的话就是 30*100mV=3V。基于此判断低电量。3.3V正常，2.7以下为异常。)")
    private String volt;
}
